{% extends "layouts/base.njk" %}
{% import "components/nav/breadcrumb.njk" as breadcrumb %}
{% import "components/page-header.njk" as pageHeader %}
{% import "components/card.njk" as card %}

{% block title %}Card | Whitelabel{% endblock %}

{% block main %}

  {% call breadcrumb.list() %}
    {{ breadcrumb.item('Home', '/') }}
    {{ breadcrumb.item('CMS Components', '/cms-components.html') }}
    {{ breadcrumb.activeItem('Card') }}
  {% endcall %}

  {{ pageHeader.element(title = 'Card' ) }}

  {# Using container and row for demo display purposes.  #}

  <div class="container">
    <h2 class="my-3">Text Only</h2>
    <div class="row">
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
    </div>
    <h2 class="my-3">Optional CTA</h2>
    <div class="row">
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full', ctaUrl: '/', ctaText: 'Sign Up Now'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
    </div>
    <h2 class="my-3">Optional Image</h2>
    <div class="row">
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full', picture_src: 'http://via.placeholder.com/480x240'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
    </div>
    <h2 class="my-3">Optional Header/Footer</h2>
    <div class="row">
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full', footer: '2 days ago'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full', header: 'Featured', footer: '2 days ago'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
    </div>
    <h2 class="my-3">Text alignment</h2>
    <div class="row">
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full', textAlign: 'text-left'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full', textAlign: 'text-center'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full', textAlign: 'text-right'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
    </div>
    <h2 class="my-3">Card Styles</h2>
    <div class="row">
      <div class="col-md-4">
        {% call card.element({title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({style: 'text-white bg-primary', title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({style: 'text-white bg-secondary', title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({style: 'text-white bg-success', title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({style: 'text-white bg-danger', title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({style: 'text-white bg-warning', title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({style: 'text-white bg-info', title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({style: 'bg-light', title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({style: 'text-white bg-dark', title: 'Card title', container: 'container-full', header: 'Featured'}) %}
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
        {% endcall %}
      </div>
    </div>
  </div>




{% endblock %}

